# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pagedump/version'

Gem::Specification.new do |spec|
  spec.name          = "pagedump"
  spec.version       = Pagedump::VERSION
  spec.authors       = ["Damien Cram"]
  spec.email         = ["damien.cram@laposte.net"]

  spec.summary       = %q{An API to scrap pages on the web and to extract selected links from it.}
  spec.description   = %q{An API to scrap pages on the web and to extract selected links from it.}
  spec.homepage      = "http://github.com/pompadour/pagedump/"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "mechanize", "~> 2.7"
  spec.add_dependency "logging", "~> 2.1"

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
